// home/components/finish/finish.js
const {
  getFormSet,IMG_BASE_URL,WU_TU_PIAN_URL
} = require('../../../api/api')
Component({
  /**
   * 组件的属性列表
   */
  properties: {    
    detailObj: Object,
    detail: Object
  },

  /**
   * 组件的初始数据
   */
  data: {
    formSetObj:{},
    capture: ['album','camera'],
    //安装
    photoTips: [
      // {
      //   sampleGraph: '',
      //   showKey: 'safety_warning_img2',
      //   must: '0',
      //   status: '0',
      //   key:'safetyWarningImg2',
      //   num: 15,
      //   title: '三级安全教育卡',
      //   message: ''
      // },{
      //   sampleGraph: '',
      //   showKey: 'kg_condition_files',
      //   must: '0',
      //   status: '0',
      //   key:'kgConditionFiles',
      //   num: 15,
      //   min: 1,
      //   title: '安全防护措施合照照片',
      //   message: ''
      // },
      //华融
      {
        sampleGraph: '',
        showKey: 'other_imgs5',
        must: '0',
        status: '0',
        key:'otherImgs5',
        num: 15,
        title: '水槽细节照片',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'other_imgs6',
        must: '0',
        status: '0',
        key:'otherImgs6',
        num: 15,
        title: '落水管照片',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'other_imgs7',
        must: '0',
        status: '0',
        key:'otherImgs7',
        num: 15,
        title: '假梁-斜梁方向',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'other_imgs8',
        must: '0',
        status: '0',
        key:'otherImgs8',
        num: 15,
        title: '并网箱逆变器防雨罩照片',
        message: ''
      },
      //广发资方
      {
        sampleGraph: '',
        showKey: 'safety_warning_img2_03',
        must: '0',
        status: '0',
        key:'safetyWarningImg2',
        num: 15,
        title: '施工安全图-三级安全教育',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'safety_warning_img3',
        must: '0',
        status: '0',
        key:'safetyWarningImg3',
        num: 15,
        title: '施工安全图-开工前站班会（施工安全用品：安全帽、安全绳、反光衣、工作鞋）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'safety_warning_img',
        must: '0',
        status: '0',
        key:'safetyWarningImg',
        num: 15,
        title: '施工安全图-安全警示牌',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'safety_disclose_doc_img',
        must: '0',
        status: '0',
        key:'safetyDiscloseDocImg',
        num: 15,
        title: '施工安全图-安全技术交底书',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img10',
        must: '0',
        status: '0',
        key:'zjImg10',
        num: 15,
        min: 3,
        title: '基础安装-螺栓孔洞防水图',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img11',
        must: '0',
        status: '0',
        key:'zjImg11',
        num: 15,
        title: '基础安装-柱脚防水完工图',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img5_03',
        must: '0',
        status: '0',
        key:'zjImg5',
        num: 15,
        title: '支架安装图-支架安装完成VR图',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img8',
        must: '0',
        status: '0',
        key:'zjImg8',
        num: 15,
        title: '支架安装图-支架方阵（东向西完工照）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img9',
        must: '0',
        status: '0',
        key:'zjImg9',
        num: 15,
        title: '支架安装图-支架方阵（北向南完工照）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img4_03',
        must: '0',
        status: '0',
        key:'zjImg4',
        num: 15,
        title: '支架安装图-立柱东西间距、南北间距（带尺寸）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img12',
        must: '0',
        status: '0',
        key:'zjImg12',
        num: 15,
        title: '支架安装图-斜梁悬挑（南）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img13',
        must: '0',
        status: '0',
        key:'zjImg13',
        num: 15,
        title: '支架安装图-斜梁悬挑（北）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img14',
        must: '0',
        status: '0',
        key:'zjImg14',
        num: 15,
        title: '支架安装图-檀条悬挑（东）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'zj_img15',
        must: '0',
        status: '0',
        key:'zjImg15',
        num: 15,
        title: '支架安装图-檀条悬挑（西）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'jd_img4_03',
        must: '0',
        status: '0',
        key:'jdImg4',
        num: 15,
        title: '支架接地图-支架接地',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'component_img3',
        must: '0',
        status: '0',
        key:'componentImg3',
        num: 15,
        title: '组件航拍俯视照片',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'component_img4',
        must: '0',
        status: '0',
        key:'componentImg4',
        num: 15,
        title: '组件安装完成VR视图',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'bk_img1',
        must: '0',
        status: '0',
        key:'bkImg1',
        num: 15,
        title: '边框接地图-边框与边框接地',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'component_img1_03',
        must: '0',
        status: '0',
        key:'componentImg1',
        num: 15,
        title: '边框接地图-组件安装倾角',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'bk_img2',
        must: '0',
        status: '0',
        key:'bkImg2',
        num: 15,
        title: '边框接地图-边框与支架接地',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'bk_img3',
        must: '0',
        status: '0',
        key:'bkImg3',
        num: 15,
        title: '边框接地图-其他图片',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'yk_img1',
        must: '0',
        status: '0',
        key:'ykImg1',
        num: 15,
        title: '压块或背压板照片',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'dc_imgs_03',
        must: '0',
        status: '0',
        key:'dcImgs',
        num: 15,
        title: '逆变器安装图-整体外观及走线及采集器（离地高度）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'nbq_plate_img_03',
        must: '0',
        status: '0',
        key:'nbqPlateImg',
        num: 15,
        title: '逆变器安装图-铭牌',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'total_imgs_03',
        must: '0',
        status: '0',
        key:'totalImgs',
        num: 15,
        title: '逆变器安装图-接地情况',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'nbq_zlc_img',
        must: '0',
        status: '0',
        key:'nbqZlcImg',
        num: 15,
        title: '逆变器安装图-逆变器交流侧',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'open_way_voltage_imgs_03',
        must: '0',
        status: '0',
        key:'openWayVoltageImgs',
        num: 15,
        title: '逆变器安装图-组串开路电压照片',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'nbq_zb_img_03',
        must: '0',
        status: '0',
        key:'nbqZbImg',
        num: 15,
        title: '并网箱安装图-外观及走线（离地高度）',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'bw_inner_img_03',
        must: '0',
        status: '0',
        key:'bwInnerImg',
        num: 15,
        title: '并网箱安装图-并网箱内部全景',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'bw_jd_img',
        must: '0',
        status: '0',
        key:'bwJdImg',
        num: 15,
        title: '并网箱安装图-接地情况',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'fix_other_img_03',
        must: '0',
        status: '0',
        key:'fixOtherImg',
        num: 15,
        title: '线缆走向（屋顶、下墙）、线缆保护管（或桥架）敷设及固定照片',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'size_measure_imgs_03',
        must: '0',
        status: '0',
        key:'sizeMeasureImgs',
        num: 15,
        title: '电缆桥架内部电缆照片',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'jd_img8',
        must: '0',
        status: '0',
        key:'jdImg8',
        num: 15,
        title: '接地极图-并网箱、逆变器安装接地极',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'jd_img5_03',
        must: '0',
        status: '0',
        key:'jdImg5',
        num: 15,
        title: '接地极图-支架接地电阻阻值(近景)',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'jd_img11',
        must: '0',
        status: '0',
        key:'jdImg11',
        num: 15,
        title: '接地极图-支架接地电阻测量照片(远景)',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'jd_img9',
        must: '0',
        status: '0',
        key:'jdImg9',
        num: 15,
        title: '接地极图-并网箱、逆变器安装接地电阻阻值(近景)',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'jd_img12',
        must: '0',
        status: '0',
        key:'jdImg12',
        num: 15,
        title: '接地极图-并网箱、逆变器安装接地电阻测量照片 (远景)',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'jd_img10',
        must: '0',
        status: '0',
        key:'jdImg10',
        num: 15,
        title: '接地极图-接地引下线警示做法',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'fs_img1',
        must: '0',
        status: '0',
        key:'fsImg1',
        num: 15,
        title: '防水措施图-横竖向水槽',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'fs_img2',
        must: '0',
        status: '0',
        key:'fsImg2',
        num: 15,
        title: '防水措施图-落水管走向及其固定',
        message: ''
      },{
        sampleGraph: '',
        showKey: 'fs_img3',
        must: '0',
        status: '0',
        key:'fsImg3',
        num: 15,
        title: '防水措施图-其他图片',
        message: ''
      },
      //越秀
      {
          sampleGraph: '',
          showKey: 'dzjc1',
          must: '1',
          status: '0',
          key:'dzjc1',
          num: 15,
          title: '电站基础-主屋',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'dzjc2',
          must: '0',
          status: '0',
          key:'dzjc2',
          num: 15,
          title: '电站基础-副屋',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'zj_img1',
          must: '0',
          status: '0',
          key:'zjImg1',
          num: 15,
          title: '支架正面照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'zj_img2',
          must: '0',
          status: '0',
          key:'zjImg2',
          num: 15,
          title: '支架侧视图',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'zj_img3',
          must: '0',
          status: '0',
          key:'zjImg3',
          num: 15,
          title: '支架北侧照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'zj_img4',
          must: '0',
          status: '0',
          key:'zjImg4',
          num: 15,
          title: '支架型号照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'zj_img5',
          must: '0',
          status: '0',
          key:'zjImg5',
          num: 15,
          title: '航拍图照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'component_img1',
          must: '0',
          status: '0',
          key:'componentImg1',
          num: 15,
          title: '组件倾角照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'component_img2',
          must: '0',
          status: '0',
          key:'componentImg2',
          num: 15,
          title: '组件方位角照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'size_measure_imgs',
          must: '0',
          status: '0',
          key:'sizeMeasureImgs',
          num: 15,
          title: '屋顶线缆安装照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'fix_other_img',
          must: '0',
          status: '0',
          key:'fixOtherImg',
          num: 15,
          title: '线缆下墙照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'total_imgs',
          must: '0',
          status: '0',
          key:'totalImgs',
          num: 15,
          title: '逆变器组串接入照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'bw_inner_img',
          must: '0',
          status: '0',
          key:'bwInnerImg',
          num: 15,
          title: '并网箱内部照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'dc_imgs',
          must: '0',
          status: '0',
          key:'dcImgs',
          num: 15,
          title: '逆变器安装照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'nbq_zb_img',
          must: '0',
          status: '0',
          key:'nbqZbImg',
          num: 15,
          title: '并网箱逆变器整体照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'dqsb_an_img_one',
          must: '0',
          status: '0',
          key:'dqsbAnImgOne',
          num: 15,
          title: '逆变器注册截图照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'nbq_plate_img',
          must: '0',
          status: '0',
          key:'nbqPlateImg',
          num: 15,
          title: '逆变器铭牌照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'zj_plate_img',
          must: '0',
          status: '0',
          key:'zjPlateImg',
          num: 15,
          title: '组件铭牌照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'open_way_voltage_imgs',
          must: '0',
          status: '0',
          key:'openWayVoltageImgs',
          num: 15,
          title: '开路电压图',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'jd_img1',
          must: '0',
          status: '0',
          key:'jdImg1',
          num: 15,
          title: '组件与组件之间接地照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'jd_img2',
          must: '0',
          status: '0',
          key:'jdImg2',
          num: 15,
          title: '组件与支架接地照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'jd_img3',
          must: '0',
          status: '0',
          key:'jdImg3',
          num: 15,
          title: '支架与接地扁铁连接照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'jd_img4',
          must: '0',
          status: '0',
          key:'jdImg4',
          num: 15,
          title: '接地扁铁下墙照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'jd_img5',
          must: '0',
          status: '0',
          key:'jdImg5',
          num: 15,
          title: '支架接地电阻照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'jd_img6',
          must: '0',
          status: '0',
          key:'jdImg6',
          num: 15,
          title: '电气接地电阻照片',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'zj_report',
          must: '0',
          status: '0',
          key:'zjReport',
          num:1,
          title: '自检记录报告',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'other_files',
          must: '0',
          status: '0',
          key:'otherFiles',
          num:2,
          title: '其它资料',
          message: ''
        },{
          sampleGraph: '',
          showKey: 'supplement_video_url',
          must: '0',
          status: '0',
          key:'supplementVideoUrl',
          num:5,
          title: '补充视频',
          message: ''
        },
    ],
    // 安装
    photo: {
      supplementVideoUrl: [], //补充视频
      contractUrl: [], //合同
      filingDocumentPhoto: [], //备案证
      otherImgs1: [], //银行印鉴留样
      otherImgs2: [], //法定代表人/负责人签字照
      otherImgs3: [], //正脸、持笔/持印、合同签署页同框
      otherImgs4: [], //签署完成照片
      //工程信息
      dzjc1: [], //电站基础-主屋照片
      dzjc2: [], //电站基础-副屋照片
      nbqPlateImg: [],//逆变器序列号照片,逆变器1铭牌照片
      txPlateImg: [],//逆变器通讯棒照片,通讯棒1铭牌照
      zjPlateImg: [],//组件铭牌照片
      zjSnImgs:[],//组件SN
      zjImg1: [],//膨胀螺栓
      zjImg2: [],//基座安装固定
      zjImg3: [],//底座防水
      zjImg4: [],//支架基础距离房檐的距离
      zjImg5: [],//支架东向西拍摄
      zjImg6: [],//支架西向东拍摄---
      zjImg7: [],//支架南向北拍摄---
      zjImg8: [],//支架北向南拍摄---
      zjImg9: [],//支架角度----
      fixOtherImg: [], //线缆下墙照片
      componentImg1: [],//支架节点（斜支撑）
      componentImg2: [],//支架距照片（南北）
      componentImg3: [],//支架距照片（东西）
      componentImg4: [],//防风加固,1-3张
      sizeMeasureImgs: [],//方管尺寸测量---，9张      
      totalImgs: [],//并网箱、逆变器外部安装照片、接地引下线,逆变器、并网箱整体安装照片,  存在字段名逆变器和并网箱接地照
      bwInnerImg: [],//并网箱内部整体照片
      dcImgs: [], //逆变器安装照片
      nbqZbImg: [],//并网箱逆变器整体照片
      dqsbAnImgOne: [],//直流线缆保护
      dqsbAnImgTwo: [],//直流线缆固定      
      zjJdImgs: [],//引下线与支架连接点、南北坡接地连接点,2张----
      groundResistanceImgs: [],//接地电阻,1-2张-----
      zujianJdImg: [],//组件边框接地     
      openWayVoltageImgs: [],//开路电压,1-6张-----     
      directionAirImg1: [],//东向西航拍----
      directionAirImg2: [],//西向东航拍----
      directionAirImg3: [],//南向北航拍----
      directionAirImg4: [],//北向南航拍----
      zjNearImg: [],//组件近景----
      zjAngleImg: [],//组件角度----
      zjItemImg: [],//檩条出组件照片----
      waterChannelImg: [],//水槽照片----
      mediumFixImg: [],//中压固定照片----
      safetyWarningImg: [],//安全警示牌----
      safetyDiscloseDocImg: [],//现场安全交底文件----
      discloseDocImg: [],//现场交底照片----
      recordDocImg: [],//记录表----
      jdImg1: [],//组件与组件之间接地照片
      jdImg2: [],//组件与支架接地照片
      jdImg3: [],//支架与接地扁铁连接照片
      jdImg4: [],//接地扁铁下墙照片
      jdImg5: [],//支架接地电阻照片
      jdImg6: [],//电气接地电阻照片
      zjReport:[],//自检记录报告
      otherFiles: [], //其他资料
      kgConditionFiles: [], //安全防护措施合照照片
      //广发
      safetyWarningImg2:[],//施工安全图-三级安全教育      
      safetyWarningImg3:[],//施工安全图-开工前站班会（施工安全用品：安全帽、安全绳、反光衣、工作鞋）
      safetyWarningImg:[],//  施工安全图-安全警示牌
      safetyDiscloseDocImg:[],// 施工安全图-安全技术交底书
      zjImg10:[],//   基础安装-螺栓孔洞防水图
      zjImg11:[],//   基础安装-柱脚防水完工图     
      zjImg8:[],//  支架安装图-支架方阵（东向西完工照）
      zjImg9:[],// 支架安装图-支架方阵（北向南完工照）      
      zjImg12:[],//  支架安装图-斜梁悬挑（南）
      zjImg13:[],// 支架安装图-斜梁悬挑（北）
      zjImg14:[],//  支架安装图-檀条悬挑（东）
      zjImg15:[],// 支架安装图-檀条悬挑（西）       
      componentImg3:[],//   组件航拍俯视照片
      componentImg4:[],//   组件安装完成VR视图 
      bkImg1:[],// 边框接地图-边框与边框接地       
      bkImg2:[],// 边框接地图-边框与支架接地
      bkImg3:[],// 边框接地图-其他图片
      ykImg1:[],//  压块或背压板照片
      nbqZlcImg:[],//  逆变器安装图-逆变器交流侧 
      bwJdImg:[],//  并网箱安装图-接地情况    
      jdImg8:[],//  接地极图-并网箱、逆变器安装接地极    
      jdImg11:[],//  接地极图-支架接地电阻测量照片(远景)
      jdImg9:[],// 接地极图-并网箱、逆变器安装接地电阻阻值(近景)
      jdImg12:[],// 接地极图-并网箱、逆变器安装接地电阻测量照片 (远景)
      jdImg10:[],//  接地极图-接地引下线警示做法
      fsImg1:[],//  防水措施图-横竖向水槽
      fsImg2:[],//  防水措施图-落水管走向及其固定
      fsImg3:[],//  防水措施图-其他图片
      //华融
      otherImgs5:[], //水槽细节照片
      otherImgs6:[], //落水管照片
      otherImgs7:[], //假梁-斜梁方向
      otherImgs8:[], //并网箱逆变器防雨罩照片
    },
    multiPhoto: [], //图片
    remarkArr:[], //完工备注
    tabIndex: '0'
  },
  ready(){
    this.getFormSet()
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /** 获取自定义字段 */
    getFormSet() {
      getFormSet({
        stage: '03', //01:信息登记,02：踏勘设计,03：电站安装,04：电站并网
        partner: this.data.detail.management,
      }).then((res) => {
        let photoTips = this.data.photoTips;
        let keyList = Object.keys(res.data.columns)
        photoTips.forEach((item)=>{
          keyList.forEach((item3)=>{
            if(item.showKey === item3){
              item.status = res.data.columns[item3].status
              item.must = res.data.columns[item3].mustFillFlag           
            }
          })
        })
        let resp = this.data.detail
        if (resp.contract_url) {//合同
          let contractUrl  = resp.contract_url  ? resp.contract_url .split(",") : [];
          contractUrl.forEach(itm=>{
            this.data.photo.contractUrl.push({
              name:itm,
              url:IMG_BASE_URL + itm
            });
          });
          this.setData({
            [`photo.contractUrl`]:resp.contract_url ?  this.data.photo.contractUrl: [],
          })
        }          
        if (resp.filing_document_photo) {//备案证          
          let filingDocumentPhoto = resp.filing_document_photo ? resp.filing_document_photo.split(",") : [];
          filingDocumentPhoto.forEach(itm=>{
            this.data.photo.filingDocumentPhoto.push({
              name:itm,
              url:IMG_BASE_URL + itm
            });
          });
          this.setData({
            // [`photo.filingDocumentPhoto[0].url`]:resp.filing_document_photo ? IMG_BASE_URL + resp.filing_document_photo : WU_TU_PIAN_URL,//备案证   
            [`photo.filingDocumentPhoto`]: this.data.photo.filingDocumentPhoto,            
          })
        }
        let multiPhoto = []
        resp.projectDetailList.forEach((item,index)=>{
          this.setData({
            [`remarkArr[${index}].completeRemark`]: item.acceptingReport.completeRemark, //完工备注
            [`photo.safetyWarningImg2`]: item.acceptingReport.safetyWarningImg2 ? item.acceptingReport.safetyWarningImg2.split(",").map(itm => {return {name: itm,url: IMG_BASE_URL + itm}}) : [], //三级安全教育卡
            [`photo.kgConditionFiles`]: item.acceptingReport.kgConditionFiles ? item.acceptingReport.kgConditionFiles.split(",").map(itm => {return {name: itm,url: IMG_BASE_URL + itm}}) : [], //安全防护措施合照照片
          })
          //图片
          let photo = {};          
          if (item.acceptingReport) {          
            for(let key in this.data.photo){
              photo[key] = item.acceptingReport[key] ? item.acceptingReport[key].split(",").map(itm => { return { name: itm, url: IMG_BASE_URL + itm}}) : []
            }
          }
          multiPhoto.push(photo);
        })
        this.setData({
          multiPhoto
        })
        console.log('安装组件2', multiPhoto) 

        // if (resp.report) {
        //   for(let i in this.data.photo){
        //     if (resp.report[i]) {
        //       let arr = resp.report[i].split(","),arr2=[];
        //       arr.forEach(itm=>{
        //         arr2.push({
        //           name:itm,
        //           url:IMG_BASE_URL + itm
        //         });
        //       });
        //       this.setData({
        //         [`photo.${i}`]: arr2,
        //       }); 
        //     }
        //   }
        // }     
        this.setData({
          formSetObj: res.data.columns,
          photoTips
        })   
      })
    },
    //打开pdf文件或者大图查看图片
    openDocument(res) {
      let path = res.currentTarget.dataset.path
      if (path) {
        let suffix = path.substring(path.lastIndexOf('.') + 1) //获取文件后缀
        if (suffix == 'pdf') {
          wx.showLoading({
            title: '加载中',
          })
          wx.downloadFile({
            url: IMG_BASE_URL + path,
            complete: function (res) {
              wx.hideLoading()
              const filePath = res.tempFilePath
              wx.openDocument({
                filePath: filePath,
                showMenu: true,
                success: function (res) {}
              })
            }
          })
        } else {
          wx.previewImage({
            urls: [IMG_BASE_URL + path] // 需要预览的图片http链接列表
          })
        }
      }
    },
    //tab切换
    changeTab(e){
      let index = e.currentTarget.dataset.index
      this.setData({
        tabIndex: index
      })
    }
  }
})